/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

//$('li.dropdown.rem a').on('click', function (event) {
//    event.preventDefault();
//    $(this).parent().toggleClass('open');
//});
//
//$('li.dropdown.rem a').on('blur', function (event) {
//    event.preventDefault();
//    $(this).parent().toggleClass('open');
//});

$(document).on('click', '.note-notification-list', function (e) {
    e.stopPropagation();
  });
  
  function noteListViewALL(class_name, url = null){
          event.preventDefault();
          if(url){
              $('.loading').show();
              var formData = {
                          type:"SEE_MORE_NOTE",
                      }
              $.ajax({
                  type: "POST",
                  data: formData,
                  url: url,
                   success: function (response) {
                       $('.loading').hide();
                       response = JSON.parse(response);
                       //console.log(response);
                       if(response.status){
                           $('li.note-notification-li').html(response.html);
                              $('.note-footer.less').show();
                              $('.'+class_name).removeClass(class_name).addClass('note-row-show');
                              $('.note-footer.see-all').hide();
                       }
                       
                   }
               });
          }else{
             $('.note-footer.less').show();
              $('.'+class_name).removeClass(class_name).addClass('note-row-show');
              $('.note-footer.see-all').hide(); 
          }     
  
  }
  
  function noteListHideALL(class_name){
      event.preventDefault();
      $('.note-footer.see-all').show();
      //alert(class_name);
      $('.note-row-show').addClass(class_name).removeClass('note-row-show');
       $('.note-footer.less').hide();
  }